import { ResearchKeys, ResourcesKeys } from "./keys";

type EventWorldCondition = { minQuantity?: number; maxQuantity?: number };

export type EventCondition = {
  hasResearch?: {
    [key in ResearchKeys]?: { minLevel: number };
  };
  hasResources?: {
    [key in ResourcesKeys]?: { minQuantity: number };
  };
  hasWorld?: {
    capturedPopulation?: EventWorldCondition;
    capturedUnprocessedPopulation?: EventWorldCondition;
    dronePopulation?: EventWorldCondition;
    freePopulation?: EventWorldCondition;
  };
};
