export type ResourcesKeys =
  | "rawChemicals"
  | "brainwashingMaterials"
  | "unprocessedSubjects"
  | "brainwashingChambers"
  | "blankDrones"
  | "gathererDrones"
  | "crafterDrones"
  | "retrieverDrone"
  | "maintenanceDrone"
  | "serviceDrone"
  | "builderDrones"
  | "researcherDrones"
  | "converterDrones"
  | "overseerDrones";

export type ResourceTagKeys = "material" | "building" | "drone" | "inhabitant";

export type ResearchKeys =
  | "rawChemicalsSpeed"
  | "rawChemicalsStorage"
  | "brainwashingMaterialsSpeed"
  | "brainwashingMaterialsStorage"
  | "retrieverSpeedup"
  | "holdingCells"
  | "conversionSpeedup"
  | "overseerEffectIncrease"
  | "automaticConversionService"
  | "automaticConversionRetriever"
  | "automaticConversionMaintenance"
  | "automaticConversionBuilder"
  | "automaticConversionResearcher"
  | "automaticConversionConverter"
  | "automaticConversionOverseer";

export type WorldKeys =
  | "freePopulation"
  | "capturedPopulation"
  | "capturedUnprocessedPopulation"
  | "dronePopulation"
  | "maxRawChemicalsStored"
  | "maxBrainwashingMaterialsStored";

export type StoryKeys =
  | "unlock-raw-chemicals"
  | "unlock-brainwashing-materials"
  | "unlock-unprocessed-subject"
  | "unlock-blank-drone"
  | "unlock-crafter-drone"
  | "unlock-second-subject"
  | "unlock-second-drone"
  | "unlock-gatherer-drone"
  | "unlock-brainwashing-chamber"
  | "unlock-service-drone"
  | "unlock-retriever-drone"
  | "unlock-cell-research"
  | "unlock-maintenance-drone"
  | "unlock-converter-drone"
  | "unlock-builder-drone"
  | "unlock-researcher-drone"
  | "unlock-overseer-drone"
  | "first-overseer-encounter"
  | "unlock-converter-drone-conversion"
  | "unlock-overseer-drone-conversion"
  | "integrated-into-the-hive";

export type MilestoneKey =
  | "start"
  | "subject-1"
  | "drone-1"
  | "drone-2"
  | "drone-5"
  | "drone-10"
  | "drone-20"
  | "drone-50"
  | "drone-100"
  | "drone-250"
  | "drone-500"
  | "drone-1000"
  | "drone-5000"
  | "drone-10000"
  | "drone-50000"
  | "drone-100000"
  | "drone-500000"
  | "drone-1000000"
  | "drone-5000000"
  | "drone-10000000"
  | "drone-100000000"
  | "drone-1000000000"
  | "drone-all"
  | "drone-retriever-1"
  | "drone-retriever-10"
  | "drone-retriever-100"
  | "drone-retriever-1000"
  | "drone-retriever-10000"
  | "drone-converter-1"
  | "drone-converter-10"
  | "drone-converter-100"
  | "drone-researcher-1"
  | "drone-researcher-10"
  | "drone-researcher-100"
  | "drone-overseer-1"
  | "drone-overseer-10"
  | "drone-overseer-100";
