const outOfControlNews = [
  "This Service Drone executes its tasks to perfection, like any other drone before it.",
  "Being a Crafting Drone an important job. This drone is happy to execute the movements with as much care as possible.",
  "As a Gathering Drone, this Drone knows it makes the whole hive work.",
  "This Maintenance Drone is waiting around for a machine to break. It stay standing there, and that is fulfilling.",
  "This Service Drone serviced a Retriever Drone. Its reward for it was greater than its programming should have allowed. An Overseer Drone investigated this Drone's programming, but approved the incorrect behavior as an enhancement and left it in this Drone.",
  "The criteria for becoming an Overseer Drone are hard to reach. This Drone doesn't meet this criteria. It is fulfilled by servicing the Overseer Drone at its desk instead.",
];

const inControlNews: Array<{
  text: string;
  limit: { min: number; max: number };
}> = [
  {
    limit: { min: 0, max: 50 },
    text: "Weather forecast today: hotter than last year, probably not as hot as next year.",
  },
  {
    limit: { min: 0, max: 50 },
    text: "New industries popping up near Iron Springs: at least twenty new job offers expected.",
  },
  {
    limit: { min: 0, max: 100 },
    text: "Mayor of Iron Springs Jane Antta announces that the town population is growing, and that this is good news. Analysts argue about whether it is.",
  },
  {
    limit: { min: 0, max: 100 },
    text: "Mayor of Iron Springs Jane Antta: 'This year's new year eve is going to be the best eaves you ever yeared!'.",
  },
  {
    limit: { min: 0, max: 100 },
    text: "Mayor of Iron Springs Jane Antta to opposition leader: 'I didn't get re-elected on broken promises, I got re-elected because people trust me.'",
  },
  {
    limit: { min: 0, max: 100 },
    text: "Mayor of Iron Springs Jane Antta to opposition leader: 'If you want my job, then take it seriously and actually try. Start by not being a Democrat, for example.'",
  },
  {
    limit: { min: 0, max: 100 },
    text: "The Iron Springs underground tunnel project is getting buried for at least one more year, Town Council anounces.",
  },
  {
    limit: { min: 0, max: 100 },
    text: "Iron Springs news: No news to news about! Check the next town!",
  },
  {
    limit: { min: 0, max: 100 },
    text: "Strange sightings near military base: military officer announces absolutely nothing new.",
  },
  {
    limit: { min: 0, max: 100 },
    text: "Mayor Jane Antta announces new housing plan to handle population growth. No news about actual buildings.",
  },
  {
    limit: { min: 50, max: 100 },
    text: "Rumors of people disappearing in Iron Springs 'unfounded', says Mayor Jane Antta.",
  },
  {
    limit: { min: 100, max: 150 },
    text: "Concerning news about Mayor Jane Antta, who has not given news in a few days.",
  },
  {
    limit: { min: 150, max: 200 },
    text: "Police report about Mayor Jane Antta's possible disappearance: 'There's no evidence of anything, except addiction to crack but we were all kind of aware of that'.",
  },
  {
    limit: { min: 200, max: 300 },
    text: "Mayor Jane Antta makes first speech since reappearance: 'Mind your own business, I can take a surprise vacation if I want'.",
  },
  {
    limit: { min: 200, max: 300 },
    text: "Mayor Jane Antta: 'This town is the best town I've ever seen. Don't you forget it.'.",
  },
  {
    limit: { min: 200, max: 300 },
    text: "Mayor Jane Antta: 'I'm not really happy about how things are run. People lack privacy, me first.'",
  },
  {
    limit: { min: 200, max: 300 },
    text: "Mayor Jane Antta: 'I'm not really happy about how things are run. People lack privacy, me first.'",
  },
];

export function getNewsFromQuantity(
  droneCount: number,
  hasControl: boolean
): string {
  if (!hasControl) {
    return outOfControlNews[
      Math.floor(Math.random() * outOfControlNews.length)
    ];
  }

  const possibleNews = inControlNews.filter(
    (n) => n.limit.max >= droneCount && n.limit.min <= droneCount
  );
  return (
    possibleNews[Math.floor(Math.random() * possibleNews.length)]?.text || ""
  );
}
