import { ResourcesKeys } from "./keys";

export type TaskDescription = {
  name: string;
  description: string[];
  duration: number;
};

export const resourceTasksInformation: {
  [key in ResourcesKeys]: TaskDescription;
} = {
  rawChemicals: {
    name: "Acquiring chemicals",
    description: [
      "Browsing chemical shops is one thing, browsing Twitter is another. You do both.",
      "You're laser-focused on getting the best deals. And also on that latest meme. Nice.",
    ],
    duration: 2,
  },
  brainwashingMaterials: {
    name: "Crafting brainwashing material",
    description: [
      "Just like high-school chemistry, except it can break your synapses if your hand slips.",
      "That college degree was good for something after all.",
      "It's not much, but it's honest work.",
    ],
    duration: 3,
  },
  unprocessedSubjects: {
    name: "Acquiring a subject",
    description: [
      "Sending cat pictures to each other is an essential part of the process.",
      "Talking in chat rooms has never been so productive.",
      "Who knew there were so many people who are into this? You. You definitely knew.",
    ],
    duration: 4,
  },
  blankDrones: {
    name: "Brainwashing a Subject",
    description: [
      "In-between the readouts, the beepings, the flashing lights and the rise and fall of your subject's chest, you have plenty to keep you busy.",
      "It takes all of your focus to do this. Really. You barely have time to stare at your subject's face as they slip under further and further.",
    ],
    duration: 5,
  },
  gathererDrones: {
    name: "Converting a drone into a Gatherer",
    description: [
      "It's mostly about teaching it the right forums to go to, the right components, and your credit card number.",
      "You grow some of your chemicals here, so you also teach it how to garden. Such as proper posture when watering the plants.",
    ],
    duration: 4,
  },
  crafterDrones: {
    name: "Converting a drone into a Crafter",
    description: [
      "You're a bit worried when teaching it how to dilute. You're not surprised that it's more precise than you, though.",
      "It only takes a couple of tries, but you manage to teach it how to stop drinking the happy-feels chemicals directly from the bottle.",
    ],
    duration: 6,
  },
  serviceDrone: {
    name: "Converting a drone into a Service Drone",
    description: [
      "Between cooking and cleaning, this drone will be able to do it all. And other things, too.",
      "Rigourous quality tests are an important part of its training regimen. Of course, you have to run these tests yourself.",
    ],
    duration: 5,
  },
  retrieverDrone: {
    name: "Convert a drone into a Retriever",
    description: [
      "Infiltration is an essential skill. That's a hundred percent why you picked that black full-body latex catsuit.",
      "You have to spend some time on conversation basics. Flirting is conversation basics.",
      "Good thing your drone has abs, at least you can stare at something while watching it train.",
    ],
    duration: 8,
  },
  brainwashingChambers: {
    name: "Building a brainwashing chamber",
    description: [
      "This is some very grueling technical work. The massage you get afterwards is included in the building time.",
      "You're pretty sure the wires are connected connectly. Your test drone didn't start glowing, so it's probably fine.",
    ],
    duration: 12,
  },
  maintenanceDrone: {
    name: "Converting a drone into a Maintainer",
    description: [
      "You teach it how serial numbers work, including the ones for your own custom-made chips. You like putting serial numbers on your own things. It's neat. Your drone has one too, of course.",
      "The wires are all nicely color-coded, so you teach it what the code is. Erm... Not for this component. Yeah, you swapped the wires. It was a mistake. Here, practical work! How about it rewires that part for you right now to make it follow the code?",
      "You teach it not to use other drones to test why the machine is broken. Yes, you know you're doing it sometimes. No, it can't do it like you. No, it can't use you instead either.",
    ],
    duration: 8,
  },
  converterDrones: {
    name: "Converting a drone into a Converter",
    description: [
      "You're teaching it the important things. Such as color coding of latex uniforms, or the ideal level of shine for each drone's job.",
      "It's important to teach it how long retriever drones should spend in the gym. And at which time they should be there, so you can be here to watch them train.",
    ],
    duration: 12,
  },
  builderDrones: {
    name: "Converting a drone into a Builder",
    description: [
      "You need to guide its body carefully as you walk it through the steps. Any extra touches is purely professional.",
      "It takes a bit more than raw knowledge of the components to build a new machine. Not much. But a bit more still.",
    ],
    duration: 24,
  },
  researcherDrones: {
    name: "Converting a drone into a Researcher",
    description: [
      "If your teachers taught you as well as you're teaching your drone... Well, college would have been very different. And way kinkier.",
      "You spend some time running it through practical work, of course. Extensive anatomy knowledge is mandatory to develop new brainwashing techniques.",
    ],
    duration: 24,
  },
  overseerDrones: {
    name: "Converting a drone into an Overseer",
    description: [
      "You know, now that you're training a drone to do it... Your job isn't really that difficult anymore, is it?",
      "It's fun having a drone that you can exchange ideas with. Well, you always had that, but at least this one is starting to have good ideas back.",
      "One of your important teachings is about the nature of decision-making : half-skill, half-luck, half-lust. You wonder which half you're missing yourself.",
    ],
    duration: 48,
  },
};
