export function assertUnreachable(type: never): never {
  throw new Error(`Type object ${type} was not handled properly.`);
}

export function formattedDate(
  startDate: number,
  timeElapsedMilliseconds: number
) {
  const targetTimestamp =
    Math.ceil((startDate + timeElapsedMilliseconds * 60 * 60) / 60 / 1000) *
    60 *
    1000;
  const targetDate = new Date(targetTimestamp);
  const month = [
    "January",
    "February",
    "March",
    "April",
    "May",
    "June",
    "July",
    "August",
    "September",
    "October",
    "November",
    "December",
  ][targetDate.getUTCMonth()];
  const hours =
    targetDate.getUTCHours() === 0
      ? 12
      : targetDate.getUTCHours() > 12
      ? targetDate.getUTCHours() - 12
      : targetDate.getUTCHours();
  const hoursIndicator = targetDate.getUTCHours() >= 12 ? "PM" : "AM";
  const minutes =
    targetDate.getUTCMinutes() >= 10
      ? `${targetDate.getUTCMinutes()}`
      : `0${targetDate.getUTCMinutes()}`;
  return `${month} ${targetDate.getUTCDate()}, ${targetDate.getUTCFullYear()} - ${hours}:${minutes} ${hoursIndicator}`;
}
